Email templates
Get an email template
GET
identifier is the template's id or its slug.
Requires the email-template:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
identifier*stringapplication/json- response
id*stringname*stringslug*stringtype*stringValue in
"html""mat-builder""react-email""templatical""visual"senderIdentityId*stringsubject*stringpreHeaderText*stringhtml*stringvisualConfig*replyTo*stringbcc*stringvariables*array<>|nullcompiledBundleVersion*numbercurrentVersionId*stringcreated*stringFormat
date-timeupdated*stringFormat
date-timecurl -X GET 'https://api.mailcrate.io/public/email-template/string' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "id": "string", "name": "string", "slug": "string", "type": "html", "senderIdentityId": "string", "subject": "string", "preHeaderText": "string", "html": "string", "visualConfig": {}, "replyTo": "string", "bcc": "string", "variables": [ {} ], "compiledBundleVersion": 0, "currentVersionId": "string", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z"}